Bug 77235 - Illegal panner model values should throw an exception
: Illegal panner model values should throw an exception
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: Web Audio
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Raymond Toy
:
Depends on:
Blocks: 77283
  Show dependency treegraph
 
Reported: 2012-01-27 12:45 PST by Raymond Toy
Modified: 2012-02-02 12:29 PST (History)
5 users (show)

See Also:


Attachments
Patch (7.38 KB, patch)
2012-02-01 13:49 PST, Raymond Toy
no flags Details | Formatted Diff | Diff
Patch (8.21 KB, patch)
2012-02-01 14:19 PST, Raymond Toy
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Raymond Toy 2012-01-27 12:45:52 PST
Currently illegal values for the panner panningModel are silently accepted.  We should probably throw an exception for invalid values.
Comment 1 Raymond Toy 2012-02-01 13:49:21 PST
Created attachment 125008 [details]
Patch
Comment 2 Raymond Toy 2012-02-01 14:19:00 PST
Created attachment 125013 [details]
Patch
Comment 3 Raymond Toy 2012-02-01 14:21:07 PST
Sorry. I forgot to update the test expectations because the panner-set-model test no longer crashes on debug builds.
Comment 4 Chris Rogers 2012-02-01 14:23:34 PST
Looks good assuming bots pass.
Comment 5 Kenneth Russell 2012-02-02 08:25:32 PST
Comment on attachment 125013 [details]
Patch

rs=me
Comment 6 Raymond Toy 2012-02-02 09:21:38 PST
Comment on attachment 125013 [details]
Patch

Thanks for the review!
Comment 7 WebKit Review Bot 2012-02-02 12:29:36 PST
Comment on attachment 125013 [details]
Patch

Clearing flags on attachment: 125013

Committed r106579: <http://trac.webkit.org/changeset/106579>
Comment 8 WebKit Review Bot 2012-02-02 12:29:42 PST
All reviewed patches have been landed.  Closing bug.